
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>owiWinPre package &#8212; OWI Win/Pre dev documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="owiWinPre" href="modules.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="owiwinpre-package">
<h1>owiWinPre package<a class="headerlink" href="#owiwinpre-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="owiwinpre-owiwinpre-module">
<h2>owiWinPre.owiWinPre module<a class="headerlink" href="#owiwinpre-owiwinpre-module" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-owiWinPre">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-owiWinPre" title="Permalink to this heading">¶</a></h2>
<p>This Python module provides an interfact to Oceanweather Inc’s. ascii .WIN/.PRE
wind and pressure field data format. An interface to read .WIN/.PRE files into
xarray objects is included.</p>
<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.capspeed">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">capspeed</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">uv</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">cap</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.capspeed" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="owiWinPre.datetime">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">datetime</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">year</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">month</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">day</span></span></em><span class="optional">[</span>, <em class="sig-param"><span class="n"><span class="pre">hour</span></span></em><span class="optional">[</span>, <em class="sig-param"><span class="n"><span class="pre">minute</span></span></em><span class="optional">[</span>, <em class="sig-param"><span class="n"><span class="pre">second</span></span></em><span class="optional">[</span>, <em class="sig-param"><span class="n"><span class="pre">microsecond</span></span></em><span class="optional">[</span>, <em class="sig-param"><span class="n"><span class="pre">tzinfo</span></span></em><span class="optional">]</span><span class="optional">]</span><span class="optional">]</span><span class="optional">]</span><span class="optional">]</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#owiWinPre.datetime.date" title="owiWinPre.datetime.date"><code class="xref py py-class docutils literal notranslate"><span class="pre">date</span></code></a></p>
<p>The year, month and day arguments are required. tzinfo may be None, or an
instance of a tzinfo subclass. The remaining arguments may be ints.</p>
<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.astimezone">
<span class="sig-name descname"><span class="pre">astimezone</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.astimezone" title="Permalink to this definition">¶</a></dt>
<dd><p>tz -&gt; convert to local time in new timezone tz</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.combine">
<span class="sig-name descname"><span class="pre">combine</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.combine" title="Permalink to this definition">¶</a></dt>
<dd><p>date, time -&gt; datetime with same date and time fields</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.ctime">
<span class="sig-name descname"><span class="pre">ctime</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.ctime" title="Permalink to this definition">¶</a></dt>
<dd><p>Return ctime() style string.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.date">
<span class="sig-name descname"><span class="pre">date</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.date" title="Permalink to this definition">¶</a></dt>
<dd><p>Return date object with same year, month and day.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.dst">
<span class="sig-name descname"><span class="pre">dst</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.dst" title="Permalink to this definition">¶</a></dt>
<dd><p>Return self.tzinfo.dst(self).</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.fold">
<span class="sig-name descname"><span class="pre">fold</span></span><a class="headerlink" href="#owiWinPre.datetime.fold" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.fromisoformat">
<span class="sig-name descname"><span class="pre">fromisoformat</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.fromisoformat" title="Permalink to this definition">¶</a></dt>
<dd><p>string -&gt; datetime from a string in most ISO 8601 formats</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.fromtimestamp">
<span class="sig-name descname"><span class="pre">fromtimestamp</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.fromtimestamp" title="Permalink to this definition">¶</a></dt>
<dd><p>timestamp[, tz] -&gt; tz’s local time from POSIX timestamp.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.hour">
<span class="sig-name descname"><span class="pre">hour</span></span><a class="headerlink" href="#owiWinPre.datetime.hour" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.isoformat">
<span class="sig-name descname"><span class="pre">isoformat</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.isoformat" title="Permalink to this definition">¶</a></dt>
<dd><p>[sep] -&gt; string in ISO 8601 format, YYYY-MM-DDT[HH[:MM[:SS[.mmm[uuu]]]]][+HH:MM].
sep is used to separate the year from the time, and defaults to ‘T’.
The optional argument timespec specifies the number of additional terms
of the time to include. Valid options are ‘auto’, ‘hours’, ‘minutes’,
‘seconds’, ‘milliseconds’ and ‘microseconds’.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.max">
<span class="sig-name descname"><span class="pre">max</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">datetime.datetime(9999,</span> <span class="pre">12,</span> <span class="pre">31,</span> <span class="pre">23,</span> <span class="pre">59,</span> <span class="pre">59,</span> <span class="pre">999999)</span></em><a class="headerlink" href="#owiWinPre.datetime.max" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.microsecond">
<span class="sig-name descname"><span class="pre">microsecond</span></span><a class="headerlink" href="#owiWinPre.datetime.microsecond" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.min">
<span class="sig-name descname"><span class="pre">min</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">datetime.datetime(1,</span> <span class="pre">1,</span> <span class="pre">1,</span> <span class="pre">0,</span> <span class="pre">0)</span></em><a class="headerlink" href="#owiWinPre.datetime.min" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.minute">
<span class="sig-name descname"><span class="pre">minute</span></span><a class="headerlink" href="#owiWinPre.datetime.minute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.now">
<span class="sig-name descname"><span class="pre">now</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.now" title="Permalink to this definition">¶</a></dt>
<dd><p>Returns new datetime object representing current time local to tz.</p>
<blockquote>
<div><dl class="simple">
<dt>tz</dt><dd><p>Timezone object.</p>
</dd>
</dl>
</div></blockquote>
<p>If no tz is specified, uses local timezone.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.replace">
<span class="sig-name descname"><span class="pre">replace</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.replace" title="Permalink to this definition">¶</a></dt>
<dd><p>Return datetime with new specified fields.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.resolution">
<span class="sig-name descname"><span class="pre">resolution</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">datetime.timedelta(microseconds=1)</span></em><a class="headerlink" href="#owiWinPre.datetime.resolution" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.second">
<span class="sig-name descname"><span class="pre">second</span></span><a class="headerlink" href="#owiWinPre.datetime.second" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.strptime">
<span class="sig-name descname"><span class="pre">strptime</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.strptime" title="Permalink to this definition">¶</a></dt>
<dd><p>string, format -&gt; new datetime parsed from a string (like time.strptime()).</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.time">
<span class="sig-name descname"><span class="pre">time</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.time" title="Permalink to this definition">¶</a></dt>
<dd><p>Return time object with same time but with tzinfo=None.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.timestamp">
<span class="sig-name descname"><span class="pre">timestamp</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.timestamp" title="Permalink to this definition">¶</a></dt>
<dd><p>Return POSIX timestamp as float.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.timetuple">
<span class="sig-name descname"><span class="pre">timetuple</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.timetuple" title="Permalink to this definition">¶</a></dt>
<dd><p>Return time tuple, compatible with time.localtime().</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.timetz">
<span class="sig-name descname"><span class="pre">timetz</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.timetz" title="Permalink to this definition">¶</a></dt>
<dd><p>Return time object with same time and tzinfo.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="owiWinPre.datetime.tzinfo">
<span class="sig-name descname"><span class="pre">tzinfo</span></span><a class="headerlink" href="#owiWinPre.datetime.tzinfo" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.tzname">
<span class="sig-name descname"><span class="pre">tzname</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.tzname" title="Permalink to this definition">¶</a></dt>
<dd><p>Return self.tzinfo.tzname(self).</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.utcfromtimestamp">
<span class="sig-name descname"><span class="pre">utcfromtimestamp</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.utcfromtimestamp" title="Permalink to this definition">¶</a></dt>
<dd><p>Construct a naive UTC datetime from a POSIX timestamp.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.utcnow">
<span class="sig-name descname"><span class="pre">utcnow</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.utcnow" title="Permalink to this definition">¶</a></dt>
<dd><p>Return a new datetime representing UTC day and time.</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.utcoffset">
<span class="sig-name descname"><span class="pre">utcoffset</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.utcoffset" title="Permalink to this definition">¶</a></dt>
<dd><p>Return self.tzinfo.utcoffset(self).</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="owiWinPre.datetime.utctimetuple">
<span class="sig-name descname"><span class="pre">utctimetuple</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.datetime.utctimetuple" title="Permalink to this definition">¶</a></dt>
<dd><p>Return UTC time tuple, compatible with time.localtime().</p>
</dd></dl>

</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.floorspeed">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">floorspeed</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">uv</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">thresh</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.floorspeed" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.getlatlon">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">getlatlon</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">step</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.getlatlon" title="Permalink to this definition">¶</a></dt>
<dd><p>From WINPRE timestep tuple, return lat and lon coordinates.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>step</strong> (<em>tuple</em>) – Winpre timestep tuple (head, data).</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>(lat, lon).</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>tuple</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">win</span><span class="p">,</span> <span class="n">mainhead</span> <span class="o">=</span> <span class="n">strip_fileheader</span><span class="p">(</span><span class="n">f</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">step</span> <span class="ow">in</span> <span class="n">return_steps_win</span><span class="p">(</span><span class="n">win</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.getslp">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">getslp</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">step</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.getslp" title="Permalink to this definition">¶</a></dt>
<dd><p>From WINPRE timestep tuple, return slp data.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>step</strong> (<em>tuple</em>) – Winpre timestep tuple (head, data).</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Pressure data array.</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>array</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">step</span> <span class="ow">in</span> <span class="n">return_steps_win</span><span class="p">(</span><span class="n">win</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">time</span> <span class="o">=</span> <span class="n">step</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="s2">&quot;time&quot;</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">pre</span> <span class="o">=</span> <span class="n">getslp</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.getuv">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">getuv</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">step</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.getuv" title="Permalink to this definition">¶</a></dt>
<dd><p>From WINPRE timestep tuple, return u and v data.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>step</strong> (<em>tuple</em>) – Winpre timestep tuple (head, data).</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>(u, v).</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>tuple</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">step</span> <span class="ow">in</span> <span class="n">return_steps_win</span><span class="p">(</span><span class="n">win</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">time</span> <span class="o">=</span> <span class="n">step</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="s2">&quot;time&quot;</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">ws</span> <span class="o">=</span> <span class="n">getuv</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">ws</span> <span class="o">=</span> <span class="n">mags</span><span class="p">(</span><span class="n">ws</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.iter_array">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">iter_array</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">win</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">far</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.iter_array" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.iter_file">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">iter_file</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fpath</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ftype</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.iter_file" title="Permalink to this definition">¶</a></dt>
<dd><p>Given a WIN/PRE filepath, return generator/iterable for timesteps.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fpath</strong> (<em>str</em>) – Path to single WIN/PRE file.</p></li>
<li><p><strong>ftype</strong> (<em>str</em>) – Force the filetype to either “win” or “pre”. Defaults to None.</p></li>
</ul>
</dd>
<dt class="field-even">Yields<span class="colon">:</span></dt>
<dd class="field-even"><p><em>tuple</em> – providing (ftype, header, ws, u, v) or (ftype, header, pre)
depending on the file type.</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">data</span> <span class="ow">in</span> <span class="n">iter_file</span><span class="p">(</span><span class="n">fpath</span><span class="p">,</span> <span class="n">ftype</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">ftype</span> <span class="o">=</span> <span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">time</span> <span class="o">=</span> <span class="n">data</span><span class="p">[</span><span class="mi">1</span><span class="p">][</span><span class="s2">&quot;time&quot;</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon_fromhead</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="mi">1</span><span class="p">])</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.iter_file_xrdataset">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">iter_file_xrdataset</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fpath</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ftype</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.iter_file_xrdataset" title="Permalink to this definition">¶</a></dt>
<dd><p>Given a WIN/PRE filepath, return generator/iterable for timesteps that
outputs xarray.Datasets.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fpath</strong> (<em>str</em>) – Path to single WIN/PRE file.</p></li>
<li><p><strong>ftype</strong> (<em>str</em>) – Force the filetype to either “win” or “pre”. Defaults to None.</p></li>
</ul>
</dd>
<dt class="field-even">Yields<span class="colon">:</span></dt>
<dd class="field-even"><p><em>xarray.Dataset</em> – For timestep</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">wind</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">concat</span><span class="p">(</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="nb">list</span><span class="p">(</span><span class="n">iter_file_xrdataset</span><span class="p">(</span><span class="n">inwin</span><span class="p">,</span> <span class="n">ftype</span><span class="o">=</span><span class="s2">&quot;win&quot;</span><span class="p">)),</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">dim</span><span class="o">=</span><span class="s2">&quot;time&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">coords</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">data_vars</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">pres</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">concat</span><span class="p">(</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="nb">list</span><span class="p">(</span><span class="n">iter_file_xrdataset</span><span class="p">(</span><span class="n">inpre</span><span class="p">,</span> <span class="n">ftype</span><span class="o">=</span><span class="s2">&quot;pre&quot;</span><span class="p">)),</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">dim</span><span class="o">=</span><span class="s2">&quot;time&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">coords</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">data_vars</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.list_lon_lat_time_slp">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">list_lon_lat_time_slp</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.list_lon_lat_time_slp" title="Permalink to this definition">¶</a></dt>
<dd><p>Read through open PRE file handle returning timestep data and coords as
list the length of ntime.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>f</strong> (<em>file-like object</em>) – Open file handle to pre.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>(lons, lats, times, slp)</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>tuple</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">lons</span><span class="p">,</span> <span class="n">lats</span><span class="p">,</span> <span class="n">times</span><span class="p">,</span> <span class="n">slp</span> <span class="o">=</span> <span class="n">list_lon_lat_time_slp</span><span class="p">(</span><span class="n">pre_path</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.list_lon_lat_time_ws">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">list_lon_lat_time_ws</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.list_lon_lat_time_ws" title="Permalink to this definition">¶</a></dt>
<dd><p>Read through open WIN file handle returning timestep data and coords as
list the length of ntime.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>f</strong> (<em>file-like object</em>) – Open file handle to win.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>(lons, lats, times, ws)</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>tuple</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">lons</span><span class="p">,</span> <span class="n">lats</span><span class="p">,</span> <span class="n">times</span><span class="p">,</span> <span class="n">wspd</span> <span class="o">=</span> <span class="n">list_lon_lat_time_ws</span><span class="p">(</span><span class="n">win_path</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.mags">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">mags</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">uv</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.mags" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculate magnitude from u/v components provided in tuple as (u, v)</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>uv</strong> – (u, v) tuple</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p><cite>(sqrt(u**2 + v**2))</cite></p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>magnitude (float)</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.parse_step_header">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">parse_step_header</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">head</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.parse_step_header" title="Permalink to this definition">¶</a></dt>
<dd><p>Parse the header string belonging to an individual timestep</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.return_steps_pre">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">return_steps_pre</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">pre</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.return_steps_pre" title="Permalink to this definition">¶</a></dt>
<dd><p>Read through open PRE file handle returning timestep data via a iterable
generator.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>pre</strong> (<em>file-like object</em>) – Open file handle to pre.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Iter through timesteps, returning (header, pre) tuple</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>Generator</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">lons</span><span class="p">,</span> <span class="n">lats</span><span class="p">,</span> <span class="n">times</span><span class="p">,</span> <span class="n">pre</span> <span class="o">=</span> <span class="p">[],</span> <span class="p">[],</span> <span class="p">[],</span> <span class="p">[]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">step</span> <span class="ow">in</span> <span class="n">return_steps_win</span><span class="p">(</span><span class="n">win</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">time</span> <span class="o">=</span> <span class="n">step</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="s2">&quot;time&quot;</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">p</span> <span class="o">=</span> <span class="n">getslp</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lons</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">lon</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lats</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">lat</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">times</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">time</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">pre</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">p</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.return_steps_win">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">return_steps_win</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">win</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.return_steps_win" title="Permalink to this definition">¶</a></dt>
<dd><p>Read through open WIN file handle returning timestep data via a iterable
generator.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>win</strong> (<em>file-like object</em>) – Open file handle to win.</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>Iter through timesteps, returning (header, (u, v)) tuple</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>Generator</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">lons</span><span class="p">,</span> <span class="n">lats</span><span class="p">,</span> <span class="n">times</span><span class="p">,</span> <span class="n">wss</span> <span class="o">=</span> <span class="p">[],</span> <span class="p">[],</span> <span class="p">[],</span> <span class="p">[]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">step</span> <span class="ow">in</span> <span class="n">return_steps_win</span><span class="p">(</span><span class="n">win</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lat</span><span class="p">,</span> <span class="n">lon</span> <span class="o">=</span> <span class="n">getlatlon</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">time</span> <span class="o">=</span> <span class="n">step</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="s2">&quot;time&quot;</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">ws</span> <span class="o">=</span> <span class="n">getuv</span><span class="p">(</span><span class="n">step</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">ws</span> <span class="o">=</span> <span class="n">mags</span><span class="p">(</span><span class="n">ws</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lons</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">lon</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">lats</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">lat</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">times</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">time</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">wss</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">ws</span><span class="p">)</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.strip_fileheader">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">strip_fileheader</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">win</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.strip_fileheader" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.to_nws13_group">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">to_nws13_group</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">output</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">group</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">rank</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">wind</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">pre</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">mode</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'w'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.to_nws13_group" title="Permalink to this definition">¶</a></dt>
<dd><p>Write win/pre data out to netcdf adcirc NWS13 formatted group.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>output</strong> (<em>str</em>) – Output netcdf filepath.</p></li>
<li><p><strong>group</strong> (<em>str</em>) – Group name.</p></li>
<li><p><strong>rank</strong> (<em>int</em>) – Group rank.</p></li>
<li><p><strong>wind</strong> (<em>xarray.Dataset</em>) – Dataset with U10, V10 (and possibly PSFC), and coordinates.</p></li>
<li><p><strong>pre</strong> (<em>xarray.Dataset</em>) – Dataset with PSFC varaible. Defaults to None.</p></li>
<li><p><strong>mode</strong> (<em>str</em>) – Set to “a” to append to exisiting file, “w” will overwrite. Defaults to “w”.</p></li>
</ul>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">mode</span> <span class="o">=</span> <span class="s2">&quot;w&quot;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">rank</span> <span class="o">=</span> <span class="mi">1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">outgroups</span> <span class="o">=</span> <span class="n">ingroups</span>
<span class="gp">&gt;&gt;&gt; </span><span class="k">for</span> <span class="n">inwin</span><span class="p">,</span> <span class="n">inpre</span><span class="p">,</span> <span class="n">group</span> <span class="ow">in</span> <span class="nb">zip</span><span class="p">(</span><span class="n">inwinfiles</span><span class="p">,</span> <span class="n">inprefiles</span><span class="p">,</span> <span class="n">ingroups</span><span class="p">):</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">wind</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">concat</span><span class="p">(</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="nb">list</span><span class="p">(</span><span class="n">iter_file_xrdataset</span><span class="p">(</span><span class="n">inwin</span><span class="p">,</span> <span class="n">ftype</span><span class="o">=</span><span class="s2">&quot;win&quot;</span><span class="p">)),</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">dim</span><span class="o">=</span><span class="s2">&quot;time&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">coords</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">data_vars</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">to_nws13_group</span><span class="p">(</span><span class="n">output</span><span class="p">,</span> <span class="n">group</span><span class="p">,</span> <span class="n">rank</span><span class="p">,</span> <span class="n">wind</span><span class="o">=</span><span class="n">wind</span><span class="p">,</span> <span class="n">mode</span><span class="o">=</span><span class="n">mode</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">mode</span> <span class="o">=</span> <span class="s2">&quot;a&quot;</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="k">del</span> <span class="n">wind</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">pres</span> <span class="o">=</span> <span class="n">xr</span><span class="o">.</span><span class="n">concat</span><span class="p">(</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="nb">list</span><span class="p">(</span><span class="n">iter_file_xrdataset</span><span class="p">(</span><span class="n">inpre</span><span class="p">,</span> <span class="n">ftype</span><span class="o">=</span><span class="s2">&quot;pre&quot;</span><span class="p">)),</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">dim</span><span class="o">=</span><span class="s2">&quot;time&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">coords</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>        <span class="n">data_vars</span><span class="o">=</span><span class="s2">&quot;different&quot;</span><span class="p">,</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">to_nws13_group</span><span class="p">(</span><span class="n">output</span><span class="p">,</span> <span class="n">group</span><span class="p">,</span> <span class="n">rank</span><span class="p">,</span> <span class="n">pre</span><span class="o">=</span><span class="n">pres</span><span class="p">,</span> <span class="n">mode</span><span class="o">=</span><span class="n">mode</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="n">rank</span> <span class="o">+=</span> <span class="mi">1</span>
<span class="gp">&gt;&gt;&gt; </span>    <span class="k">del</span> <span class="n">pres</span>
</pre></div>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="owiWinPre.uv2str">
<span class="sig-prename descclassname"><span class="pre">owiWinPre.</span></span><span class="sig-name descname"><span class="pre">uv2str</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">uv</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#owiWinPre.uv2str" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">OWI Win/Pre</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Module API:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">owiWinPre</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">owiWinPre package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">owiWinPre</a><ul>
      <li>Previous: <a href="modules.html" title="previous chapter">owiWinPre</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2021, Oceanweather Inc. (OWI).
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/owiWinPre.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>